#include<iostream>
using namespace std;
int main()
{
    long long n;
    cin>>n;
    long long a[n];
    for(long long i=0; i<n; i++)
    {
        cin>>a[i];
    }
    long long l, r, br=0, br2=0;
    for(long long u=0; u<n-1; u++)
    {
        l=u;
        for(long long j=u+1; j<n; j++)
        {
            r=j;
            for(long long y=l+1; y<=r-1; y++)
            {
                if(a[l]>a[y] || a[r]>a[y])
                {
                    br++;
                }
            }
            if(br==r-l-1)
            {
                br2++;
            }
            br=0;
        }
    }
    cout<<br2<<endl;
    return 0;
}
